"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Error that is thrown when an error handler has a non void return type.
 * (Error will happen at startup)
 *
 * @export
 * @class ErrorHandlerWrongReturnTypeError
 * @extends {Error}
 */
class ErrorHandlerWrongReturnTypeError extends Error {
    constructor() {
        super('Error handler must have return type void');
    }
}
exports.ErrorHandlerWrongReturnTypeError = ErrorHandlerWrongReturnTypeError;
