"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Error that is thrown when a required parameter is not provided. Url parameters are always required.
 * (Runtime error)
 *
 * @export
 * @class RequiredParameterNotProvidedError
 * @extends {Error}
 */
class RequiredParameterNotProvidedError extends Error {
    constructor(name) {
        super(`The required parameter "${name}" was not provided`);
    }
}
exports.RequiredParameterNotProvidedError = RequiredParameterNotProvidedError;
