"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Error that is thrown when a plugin with the same name as another plugin is registered.
 *
 * @export
 * @class DuplicatePluginError
 * @extends {Error}
 */
class DuplicatePluginError extends Error {
    constructor(name) {
        super(`A plugin with the name '${name}' is already registered.`);
    }
}
exports.DuplicatePluginError = DuplicatePluginError;
