"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Error that is thrown when an error handler accepts the wrong argument types.
 * (Error will happen at startup)
 *
 * @export
 * @class ErrorHandlerWrongArgumentTypesError
 * @extends {Error}
 */
class ErrorHandlerWrongArgumentTypesError extends Error {
    constructor() {
        super('Error handler arguments must be: Object, Object, Error');
    }
}
exports.ErrorHandlerWrongArgumentTypesError = ErrorHandlerWrongArgumentTypesError;
