/**
 * Error that is thrown when the parsing process of a parameters throws an error.
 * (Runtime error)
 *
 * @export
 * @class ParameterParseError
 * @extends {Error}
 */
export declare class ParameterParseError extends Error {
    innerException: Error;
    constructor(name: string, innerException: Error);
}
