/**
 * Error that is thrown when the - if provided - validator of a parameter returns "false".
 * (Runtime error)
 *
 * @export
 * @class ParameterValidationFailedError
 * @extends {Error}
 */
export declare class ParameterValidationFailedError extends Error {
    innerException: Error | undefined;
    constructor(name: string, innerException?: Error | undefined);
}
